Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class ProjectRowsCustomers
    Inherits BaseObject
    Private _ProjectRows As ProjectRows
    Private _Customers As Customers

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    <Association("ProjectRows-ProjectRowsCustomers", GetType(ProjectRowsCustomers)), VisibleInListView(False)> _
    Property ProjectRows As ProjectRows
        Get
            Return _ProjectRows
        End Get
        Set(value As ProjectRows)
            SetPropertyValue("ProjectRows", _ProjectRows, value)
        End Set
    End Property
    Property Customers As Customers
        Get
            Return _Customers
        End Get
        Set(value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
End Class
